Loading...
Searching...
No Matches
RDKit::v2::FileParsers::PDBParserParams Struct Reference

`#include <FileParsers.h>`

## Public Attributes

bool | sanitize = true
bool | removeHs = true
bool | proximityBonding = true
unsigned int | flavor = 0

## Detailed Description

Definition at line 365 of file FileParsers.h.

## Member Data Documentation

## flavor

unsigned int RDKit::v2::FileParsers::PDBParserParams::flavor = 0

flavor to use

Definition at line 370 of file FileParsers.h.

## proximityBonding

bool RDKit::v2::FileParsers::PDBParserParams::proximityBonding = true

if set to true, proximity bonding will be performed

Definition at line 368 of file FileParsers.h.

## removeHs

bool RDKit::v2::FileParsers::PDBParserParams::removeHs = true

remove Hs after constructing the molecule

Definition at line 367 of file FileParsers.h.

## sanitize

bool RDKit::v2::FileParsers::PDBParserParams::sanitize = true

sanitize the molecule after building it

Definition at line 366 of file FileParsers.h.

The documentation for this struct was generated from the following file:

- FileParsers.h